﻿Imports Infragistics.Win.UltraWinGrid

Public Class Form1
    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Dim data As DataTable = New DataTable()
        data.Columns.Add("Commission_Override", GetType(Boolean))
        data.Columns.Add("Commission_Rate", GetType(Decimal))

        data.Rows.Add(True)
        data.Rows.Add(False)
        data.Rows.Add(True)

        Me.UltraGrid1.DataSource = data
    End Sub

    Private Sub UltraGrid1_BeforeEnterEditMode(sender As Object, e As System.ComponentModel.CancelEventArgs) Handles UltraGrid1.BeforeEnterEditMode
        Dim cell As UltraGridCell = Me.UltraGrid1.ActiveCell
        If cell Is Nothing Then
            Return
        End If
        Try
            If cell.Column.Key = "Commission_Rate" Then
                If cell.Row.Cells("Commission_Override").Value = False Then
                    MessageBox.Show("Before entering a custom rate, please set 'Commission Override' to True", "Override Commission", MessageBoxButtons.OK)
                    e.Cancel = True
                End If
            End If
        Catch
        End Try
    End Sub
End Class
